gethttps://api.circle.com/v1/exchange/stablefx/trades/{tradeId}
Returns a trade specified by the ID path parameter
The ID of the trade.
The type of trader.
1{
2 "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
3 "contractTradeId": "24",
4 "status": "pending",
5 "rate": 0.915,
6 "from": {
7 "currency": "USDC",
8 "amount": ""
9 },
10 "to": {
11 "currency": "USDC",
12 "amount": ""
13 },
14 "createDate": "2023-01-01T12:04:05Z",
15 "updateDate": "2023-01-01T12:04:05Z",
16 "quoteId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
17 "settlementTransactionHash": "0x5ba96ea26172dde9a83b151d1a73f163bafe883f691b80e404b271b00eb86a0a",
18 "contractTransactions": {
19 "recordTrade": {
20 "status": "success",
21 "txHash": "0x522a01ed8750423ab213a3d4618f231e0984874509521e98977f017b452cd455",
22 "errorDetails": ""
23 },
24 "takerDeliver": {
25 "status": "success",
26 "txHash": "0x522a01ed8750423ab213a3d4618f231e0984874509521e98977f017b452cd455",
27 "errorDetails": ""
28 },
29 "makerDeliver": {
30 "status": "success",
31 "txHash": "0x522a01ed8750423ab213a3d4618f231e0984874509521e98977f017b452cd455",
32 "errorDetails": ""
33 }
34 }
35}